SenseCrypt Docs
API ReferenceScim

Deprovision a user (SCIM 2.0 DELETE)

DELETE/v1/idp/scim/v2/Users/{user_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

user_id*User Id

Header Parameters

If-Match?string|null

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/idp/scim/v2/Users/string"
Empty
{  "schemas": [    "urn:ietf:params:scim:api:messages:2.0:Error"  ],  "status": "404",  "detail": "User 2819c223-7f76-453a-919d-413861904646 not found"}
{  "schemas": [    "urn:ietf:params:scim:api:messages:2.0:Error"  ],  "status": "412",  "detail": "resource has changed"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}